* {
    font-family: Arial;
    font-size: 16px;
}
body {
    margin: 0; 
    padding: 0;
    background-color: #4C5C7E;
}

button {
    display: block;
    margin: 0 auto;
    color: #fff;
    background-color: #144891;
    border: 5px solid #144891;
    border-radius: 10px;
    cursor: pointer;
}

button:active {
    display: block;
    margin: 0 auto;
    color: #fff;
    background-color: #1E2C46;
    border: 5px solid #1E2C46;
    border-radius: 10px;
    cursor: pointer;
}

.b{
    font-weight: bold;
}

.i{
    font-style: italic;
}

.n{
    font-style: none;
}
.ct{
    margin: 0 auto;
    text-align: center;
}
.lf{
    margin: 0 auto;
    text-align: left;
}
.rg{
    margin: 0 auto;
    text-align: right;
}
.jf{
    margin: 0 auto;
    text-align: justify;
}

.title-head{
    margin: 10px;
    font-size: 3em;
    font-weight: bold;
    color: rgb(250, 250, 250);
}
.title-desc{
    font-size: 1.2em;
    color: rgb(201, 201, 204);
}
.content-head{
    margin: 0;
    font-size: 1.1em;
    font-weight: bold;
}

#Header{
    margin: 10px;
}

#content{
    margin: 0 auto;
    display: grid;
    grid-template-columns: 300px 1fr;
}
#content div {
    position: relative;
    background-color: rgb(250, 250, 250);
    border-radius: 5px;
}
#content > div{
    margin: 20px 5px;
    padding: 0 10px;
    float: left;
}
#content > div:first-child div {
    padding: 10px 0; 
}
#content > div:last-child{
    height: 500px;
    overflow: auto;
}
#content #characterMake {
    padding: 0;
}

#content .inputText {
    width: 100%;
    height: auto;
    resize: none;
    overflow-y: hidden;
    box-sizing: border-box; 
    padding: 5px;
    margin: 5px 0;
    font-size: 15px;
    line-height: 1.2;
    border: 1px solid #144891;
    border-radius: 5px;
}

#characterIcon {
    padding: 5px 0;
    font-size: 0.9em;
    color: #aaa;
}

#btnGroup {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin: 15px 0;
}

.character-label-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin: 0;
}

.character-left-group {
    display: flex;
    align-items: center;
    gap: 8px;
}

.character-right-group {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-left: auto;
}

#characterCheckbox .rlRadio {
    display: flex;
    padding: 0;
    gap: 2px;
    font-size: 12px;
}

.miniIcon {
    width: 30px; height: 30px;
    border-radius: 5px;
    flex-shrink: 0;
    object-fit: cover; 
    object-position: top;
    overflow: clip; 
    overflow-clip-margin: content-box;
}

.deleteBtn {
    font-size: 11px;
    cursor: pointer;
    border: 0px;
    background-color: rgba(0, 0, 0, 0);
    color: #000;
}

.r-group {
    margin-left: auto;
}

#footer{
    width: auto;
    margin: 0 auto;
}
#footer p{
    font-size: 0.8em;
    text-align: center;
    color: rgb(201, 201, 204);
}